<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yami.shop.dao.RefundAddrMapper">

    <resultMap id="refundAddrMap" type="com.yami.shop.bean.model.RefundAddr">
        <id column="refund_addr_id" property="refundAddrId"/>
        <result column="shop_id" property="shopId"/>
        <result column="receiver_name" property="receiverName"/>
        <result column="receiver_mobile" property="receiverMobile"/>
        <result column="post_code" property="postCode"/>
        <result column="province_id" property="provinceId"/>
        <result column="province" property="province"/>
        <result column="city_id" property="cityId"/>
        <result column="city" property="city"/>
        <result column="area_id" property="areaId"/>
        <result column="area" property="area"/>
        <result column="addr" property="addr"/>
        <result column="default_addr" property="defaultAddr"/>
        <result column="status" property="status"/>
        <result column="update_time" property="updateTime"/>
        <result column="create_time" property="createTime"/>
    </resultMap>

    <update id="cancelDefaultAddr">
        UPDATE
          tz_refund_addr ra
        SET
          ra.`default_addr` = 0
        WHERE ra.`shop_id` = #{shopId}
    </update>

</mapper>
